=== debian/changelog ===
autoclass (3.3.6.dfsg.2-3) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096348)

 -- Adrian Bunk <bunk@debian.org>  Fri, 19 Sep 2025 22:43:58 +0300

autoclass (3.3.6.dfsg.2-2) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated vcs in d/control to Salsa.
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * debian/copyright: use spaces rather than tabs to
    start continuation lines.
  * Fixed rebuildability and enabled hardening (Closes: #1043978).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 13 Nov 2024 08:09:34 +0100

autoclass (3.3.6.dfsg.2-1) unstable; urgency=medium

  * QA upload.
  * Repack to get rid of fcntlcom-ac.h again.
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Mon, 16 Jan 2023 19:54:41 +0100
