=== debian/control ===
Source: autoclass
Section: math
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Homepage: http://ti.arc.nasa.gov/tech/rse/synthesis-projects-applications/autoclass/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/autoclass
Vcs-Git: https://salsa.debian.org/debian/autoclass.git

Package: autoclass
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: automatic classification or clustering
 AutoClass solves the problem of automatic discovery of classes in data
 (sometimes called clustering, or unsupervised learning), as distinct
 from the generation of class descriptions from labeled examples
 (called supervised learning).  It aims to discover the "natural"
 classes in the data.  AutoClass is applicable to observations of
 things that can be described by a set of attributes, without referring
 to other things.  The data values corresponding to each attribute are
 limited to be either numbers or the elements of a fixed set of
 symbols.  With numeric data, a measurement error must be provided.
