=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-format
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

DOC= doc/checkpoint-c.text			\
  doc/classes-c.text				\
  doc/interpretation-c.text			\
  doc/introduction-c.text			\
  doc/models-c.text				\
  doc/prediction-c.text				\
  doc/preparation-c.text			\
  doc/reports-c.text				\
  doc/search-c.text				\
  read-me.text

EXAMPLES= sample/imports-*			\
  sample/read.me.c				\
  sample/screenc.text 				\
  sample/scriptc.text				\
  debian/README.sample				\
  debian/simple.README				\
  debian/simple.c				\
  debian/simple.db2				\
  debian/simple.hd2				\
  debian/simple.model				\
  debian/simple.r-params			\
  debian/simple.s-params

%:
	dh $@ --no-parallel

override_dh_auto_build:
	dh_auto_build --sourcedir=prog -- CFLAGS="$(CFLAGS)"

	# assemble changelog in reverse chronological order
	-rm changelog
	for a in 9 8 7 6 5 4 3 2 1; do				\
	  for b in 9 8 7 6 5 4 3 2 1 0; do			\
	    for c in 9 8 7 6 5 4 3 2 1; do			\
	      if [ -f version-$$a-$$b-$$c.text ]; then		\
		cat version-$$a-$$b-$$c.text >>changelog; fi;	\
	    done;						\
	  if [ -f version-$$a-$$b.text ]; then			\
	    cat version-$$a-$$b.text >>changelog; fi;		\
	  done;							\
	done
override_dh_auto_clean:
	dh_auto_clean --sourcedir=prog

override_dh_auto_install:
	dh_auto_install --sourcedir=prog
	cp prog/autoclass debian/autoclass/usr/bin/autoclass

override_dh_installdocs:
	dh_installdocs $(DOC)

override_dh_installexamples:
	dh_installexamples $(EXAMPLES)

override_dh_installman:
	dh_installman debian/autoclass.1
